Skip to main content
POST
Get my deals V2

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Use the /api/login endpoint to obtain a token.

Query Parameters

page
integer

Page number

Example:

1

limit
integer

Items per page

Example:

10

page_limit
integer

Alias for limit

Example:

10

Body

application/json
status
string | null

Deal status filter

Example:

"All Deals"

type
string | null

Filter type

Example:

"All"

athlete_id
integer | null

Athlete ID (for agent/partner context)

Example:

123

job_id
string | null

Filter to a single job

Example:

"1"

serviceId
integer | null

Filter to a fan service request

Example:

1

filterByKeyword
string | null

Keyword search on name/title/description

Example:

"test"

job_detail_required
enum<string> | null

Request full job detail in response

Available options:
Yes,
No
Example:

"No"

sort_order
enum<string> | null
Available options:
name_asc,
name_desc,
pay_high,
pay_low
Example:

"name_desc"

filterCategory
integer[] | null

Category IDs

Example:
filterByMinPrice
number | null
Example:

100

filterByMaxPrice
number | null
Example:

10000

filterByPaymentMode
enum<string> | null
Available options:
Cash,
Product
Example:

null

school_specific
enum<string> | null
Available options:
Yes,
No
Example:

"No"

Response

200

My deals V2